# This file is generated by gyp; do not edit.

include $(CLEAR_VARS)

LOCAL_MODULE_CLASS := STATIC_LIBRARIES
LOCAL_MODULE := third_party_WebKit_Source_core_webcore_remaining_gyp
LOCAL_MODULE_SUFFIX := .a
LOCAL_MODULE_TARGET_ARCH := $(TARGET_$(GYP_VAR_PREFIX)ARCH)
LOCAL_SDK_VERSION := 21
gyp_intermediate_dir := $(call local-intermediates-dir,,$(GYP_VAR_PREFIX))
gyp_shared_intermediate_dir := $(call intermediates-dir-for,GYP,shared,,,$(GYP_VAR_PREFIX))

# Make sure our deps are built first.
GYP_TARGET_DEPENDENCIES := \
	$(call intermediates-dir-for,GYP,third_party_WebKit_Source_core_webcore_prerequisites_gyp,,,$(GYP_VAR_PREFIX))/webcore_prerequisites.stamp \
	$(call intermediates-dir-for,STATIC_LIBRARIES,skia_skia_library_gyp,,,$(GYP_VAR_PREFIX))/skia_skia_library_gyp.a

GYP_GENERATED_OUTPUTS :=

# Make sure our deps and generated files are built first.
LOCAL_ADDITIONAL_DEPENDENCIES := $(GYP_TARGET_DEPENDENCIES) $(GYP_GENERATED_OUTPUTS)

LOCAL_GENERATED_SOURCES :=

GYP_COPIED_SOURCE_ORIGIN_DIRS :=

LOCAL_SRC_FILES := \
	third_party/WebKit/Source/core/Init.cpp \
	third_party/WebKit/Source/core/accessibility/AXARIAGrid.cpp \
	third_party/WebKit/Source/core/accessibility/AXARIAGridCell.cpp \
	third_party/WebKit/Source/core/accessibility/AXARIAGridRow.cpp \
	third_party/WebKit/Source/core/accessibility/AXImageMapLink.cpp \
	third_party/WebKit/Source/core/accessibility/AXInlineTextBox.cpp \
	third_party/WebKit/Source/core/accessibility/AXList.cpp \
	third_party/WebKit/Source/core/accessibility/AXListBox.cpp \
	third_party/WebKit/Source/core/accessibility/AXListBoxOption.cpp \
	third_party/WebKit/Source/core/accessibility/AXMediaControls.cpp \
	third_party/WebKit/Source/core/accessibility/AXMenuList.cpp \
	third_party/WebKit/Source/core/accessibility/AXMenuListOption.cpp \
	third_party/WebKit/Source/core/accessibility/AXMenuListPopup.cpp \
	third_party/WebKit/Source/core/accessibility/AXMockObject.cpp \
	third_party/WebKit/Source/core/accessibility/AXNodeObject.cpp \
	third_party/WebKit/Source/core/accessibility/AXObject.cpp \
	third_party/WebKit/Source/core/accessibility/AXObjectCache.cpp \
	third_party/WebKit/Source/core/accessibility/AXObjectCacheImpl.cpp \
	third_party/WebKit/Source/core/accessibility/AXProgressIndicator.cpp \
	third_party/WebKit/Source/core/accessibility/AXRenderObject.cpp \
	third_party/WebKit/Source/core/accessibility/AXSVGRoot.cpp \
	third_party/WebKit/Source/core/accessibility/AXScrollView.cpp \
	third_party/WebKit/Source/core/accessibility/AXScrollbar.cpp \
	third_party/WebKit/Source/core/accessibility/AXSlider.cpp \
	third_party/WebKit/Source/core/accessibility/AXSpinButton.cpp \
	third_party/WebKit/Source/core/accessibility/AXTable.cpp \
	third_party/WebKit/Source/core/accessibility/AXTableCell.cpp \
	third_party/WebKit/Source/core/accessibility/AXTableColumn.cpp \
	third_party/WebKit/Source/core/accessibility/AXTableHeaderContainer.cpp \
	third_party/WebKit/Source/core/accessibility/AXTableRow.cpp \
	third_party/WebKit/Source/core/animation/ActiveAnimations.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableClipPathOperation.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableColor.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableDouble.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableFilterOperations.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableImage.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableLength.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableLengthBox.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableLengthBoxAndBool.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableLengthPoint.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableLengthPoint3D.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableLengthSize.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableRepeatable.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableSVGLength.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableSVGPaint.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableShadow.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableShapeValue.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableStrokeDasharrayList.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableTransform.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableValue.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableValueKeyframe.cpp \
	third_party/WebKit/Source/core/animation/animatable/AnimatableVisibility.cpp \
	third_party/WebKit/Source/core/animation/Animation.cpp \
	third_party/WebKit/Source/core/animation/AnimationClock.cpp \
	third_party/WebKit/Source/core/animation/AnimationInputHelpers.cpp \
	third_party/WebKit/Source/core/animation/AnimationPlayer.cpp \
	third_party/WebKit/Source/core/animation/AnimationNode.cpp \
	third_party/WebKit/Source/core/animation/AnimationNodeTiming.cpp \
	third_party/WebKit/Source/core/animation/AnimationStack.cpp \
	third_party/WebKit/Source/core/animation/AnimationTimeline.cpp \
	third_party/WebKit/Source/core/animation/AnimationTranslationUtil.cpp \
	third_party/WebKit/Source/core/animation/CompositorAnimations.cpp \
	third_party/WebKit/Source/core/animation/CompositorPendingAnimations.cpp \
	third_party/WebKit/Source/core/animation/DocumentAnimations.cpp \
	third_party/WebKit/Source/core/animation/EffectInput.cpp \
	third_party/WebKit/Source/core/animation/InertAnimation.cpp \
	third_party/WebKit/Source/core/animation/InterpolableValue.cpp \
	third_party/WebKit/Source/core/animation/InterpolationEffect.cpp \
	third_party/WebKit/Source/core/animation/KeyframeEffectModel.cpp \
	third_party/WebKit/Source/core/animation/SampledEffect.cpp \
	third_party/WebKit/Source/core/animation/StringKeyframe.cpp \
	third_party/WebKit/Source/core/animation/TimingInput.cpp \
	third_party/WebKit/Source/core/animation/css/CSSAnimatableValueFactory.cpp \
	third_party/WebKit/Source/core/animation/css/CSSAnimationData.cpp \
	third_party/WebKit/Source/core/animation/css/CSSAnimations.cpp \
	third_party/WebKit/Source/core/animation/css/CSSPropertyEquality.cpp \
	third_party/WebKit/Source/core/animation/css/CSSTimingData.cpp \
	third_party/WebKit/Source/core/animation/css/CSSTransitionData.cpp \
	third_party/WebKit/Source/core/animation/DeferredLegacyStyleInterpolation.cpp \
	third_party/WebKit/Source/core/animation/Interpolation.cpp \
	third_party/WebKit/Source/core/animation/LengthStyleInterpolation.cpp \
	third_party/WebKit/Source/core/clipboard/DataObject.cpp \
	third_party/WebKit/Source/core/clipboard/DataObjectItem.cpp \
	third_party/WebKit/Source/core/clipboard/DataTransfer.cpp \
	third_party/WebKit/Source/core/clipboard/DataTransferItem.cpp \
	third_party/WebKit/Source/core/clipboard/DataTransferItemList.cpp \
	third_party/WebKit/Source/core/clipboard/Pasteboard.cpp \
	third_party/WebKit/Source/core/css/BasicShapeFunctions.cpp \
	third_party/WebKit/Source/core/css/BinaryDataFontFaceSource.cpp \
	third_party/WebKit/Source/core/css/CSSBasicShapes.cpp \
	third_party/WebKit/Source/core/css/CSSBorderImage.cpp \
	third_party/WebKit/Source/core/css/CSSBorderImageSliceValue.cpp \
	third_party/WebKit/Source/core/css/CSSCalculationValue.cpp \
	third_party/WebKit/Source/core/css/CSSCanvasValue.cpp \
	third_party/WebKit/Source/core/css/CSSCharsetRule.cpp \
	third_party/WebKit/Source/core/css/CSSComputedStyleDeclaration.cpp \
	third_party/WebKit/Source/core/css/CSSContentDistributionValue.cpp \
	third_party/WebKit/Source/core/css/CSSCrossfadeValue.cpp \
	third_party/WebKit/Source/core/css/CSSCursorImageValue.cpp \
	third_party/WebKit/Source/core/css/CSSDefaultStyleSheets.cpp \
	third_party/WebKit/Source/core/css/CSSFilterRule.cpp \
	third_party/WebKit/Source/core/css/CSSFilterValue.cpp \
	third_party/WebKit/Source/core/css/CSSFontFace.cpp \
	third_party/WebKit/Source/core/css/CSSFontFaceRule.cpp \
	third_party/WebKit/Source/core/css/CSSFontFaceSource.cpp \
	third_party/WebKit/Source/core/css/CSSFontFaceSrcValue.cpp \
	third_party/WebKit/Source/core/css/CSSFontFeatureValue.cpp \
	third_party/WebKit/Source/core/css/CSSFontSelector.cpp \
	third_party/WebKit/Source/core/css/CSSFontValue.cpp \
	third_party/WebKit/Source/core/css/CSSFunctionValue.cpp \
	third_party/WebKit/Source/core/css/CSSGradientValue.cpp \
	third_party/WebKit/Source/core/css/CSSGridLineNamesValue.cpp \
	third_party/WebKit/Source/core/css/CSSGridTemplateAreasValue.cpp \
	third_party/WebKit/Source/core/css/CSSGroupingRule.cpp \
	third_party/WebKit/Source/core/css/CSSImageGeneratorValue.cpp \
	third_party/WebKit/Source/core/css/CSSImageSetValue.cpp \
	third_party/WebKit/Source/core/css/CSSImageValue.cpp \
	third_party/WebKit/Source/core/css/CSSImportRule.cpp \
	third_party/WebKit/Source/core/css/CSSInheritedValue.cpp \
	third_party/WebKit/Source/core/css/CSSInitialValue.cpp \
	third_party/WebKit/Source/core/css/CSSKeyframeRule.cpp \
	third_party/WebKit/Source/core/css/CSSKeyframesRule.cpp \
	third_party/WebKit/Source/core/css/CSSLineBoxContainValue.cpp \
	third_party/WebKit/Source/core/css/CSSMarkup.cpp \
	third_party/WebKit/Source/core/css/CSSMatrix.cpp \
	third_party/WebKit/Source/core/css/CSSMediaRule.cpp \
	third_party/WebKit/Source/core/css/CSSOMUtils.cpp \
	third_party/WebKit/Source/core/css/CSSPageRule.cpp \
	third_party/WebKit/Source/core/css/CSSPrimitiveValue.cpp \
	third_party/WebKit/Source/core/css/CSSProperty.cpp \
	third_party/WebKit/Source/core/css/CSSPropertySourceData.cpp \
	third_party/WebKit/Source/core/css/CSSReflectValue.cpp \
	third_party/WebKit/Source/core/css/CSSRule.cpp \
	third_party/WebKit/Source/core/css/CSSRuleList.cpp \
	third_party/WebKit/Source/core/css/CSSSVGDocumentValue.cpp \
	third_party/WebKit/Source/core/css/CSSSegmentedFontFace.cpp \
	third_party/WebKit/Source/core/css/CSSSelector.cpp \
	third_party/WebKit/Source/core/css/CSSSelectorList.cpp \
	third_party/WebKit/Source/core/css/CSSShadowValue.cpp \
	third_party/WebKit/Source/core/css/CSSStyleRule.cpp \
	third_party/WebKit/Source/core/css/CSSStyleSheet.cpp \
	third_party/WebKit/Source/core/css/CSSSupportsRule.cpp \
	third_party/WebKit/Source/core/css/CSSTimingFunctionValue.cpp \
	third_party/WebKit/Source/core/css/CSSToLengthConversionData.cpp \
	third_party/WebKit/Source/core/css/CSSTransformValue.cpp \
	third_party/WebKit/Source/core/css/CSSUnicodeRangeValue.cpp \
	third_party/WebKit/Source/core/css/CSSValue.cpp \
	third_party/WebKit/Source/core/css/CSSValueList.cpp \
	third_party/WebKit/Source/core/css/CSSValuePool.cpp \
	third_party/WebKit/Source/core/css/CSSViewportRule.cpp \
	third_party/WebKit/Source/core/css/Counter.cpp \
	third_party/WebKit/Source/core/css/DOMWindowCSS.cpp \
	third_party/WebKit/Source/core/css/DocumentFontFaceSet.cpp \
	third_party/WebKit/Source/core/css/ElementRuleCollector.cpp \
	third_party/WebKit/Source/core/css/FontFace.cpp \
	third_party/WebKit/Source/core/css/FontFaceCache.cpp \
	third_party/WebKit/Source/core/css/FontFaceSet.cpp \
	third_party/WebKit/Source/core/css/FontFaceSetLoadEvent.cpp \
	third_party/WebKit/Source/core/css/FontLoader.cpp \
	third_party/WebKit/Source/core/css/FontSize.cpp \
	third_party/WebKit/Source/core/css/LocalFontFaceSource.cpp \
	third_party/WebKit/Source/core/css/MediaList.cpp \
	third_party/WebKit/Source/core/css/MediaQuery.cpp \
	third_party/WebKit/Source/core/css/MediaQueryEvaluator.cpp \
	third_party/WebKit/Source/core/css/MediaQueryExp.cpp \
	third_party/WebKit/Source/core/css/MediaQueryList.cpp \
	third_party/WebKit/Source/core/css/MediaQueryListListener.cpp \
	third_party/WebKit/Source/core/css/MediaQueryMatcher.cpp \
	third_party/WebKit/Source/core/css/MediaValues.cpp \
	third_party/WebKit/Source/core/css/MediaValuesCached.cpp \
	third_party/WebKit/Source/core/css/MediaValuesDynamic.cpp \
	third_party/WebKit/Source/core/css/PageRuleCollector.cpp \
	third_party/WebKit/Source/core/css/Pair.cpp \
	third_party/WebKit/Source/core/css/PropertySetCSSStyleDeclaration.cpp \
	third_party/WebKit/Source/core/css/RGBColor.cpp \
	third_party/WebKit/Source/core/css/Rect.cpp \
	third_party/WebKit/Source/core/css/RemoteFontFaceSource.cpp \
	third_party/WebKit/Source/core/css/RuleFeature.cpp \
	third_party/WebKit/Source/core/css/RuleSet.cpp \
	third_party/WebKit/Source/core/css/SVGCSSComputedStyleDeclaration.cpp \
	third_party/WebKit/Source/core/css/SelectorChecker.cpp \
	third_party/WebKit/Source/core/css/SelectorFilter.cpp \
	third_party/WebKit/Source/core/css/StyleMedia.cpp \
	third_party/WebKit/Source/core/css/StylePropertySerializer.cpp \
	third_party/WebKit/Source/core/css/StylePropertySet.cpp \
	third_party/WebKit/Source/core/css/StylePropertyShorthandCustom.cpp \
	third_party/WebKit/Source/core/css/StyleRule.cpp \
	third_party/WebKit/Source/core/css/StyleRuleImport.cpp \
	third_party/WebKit/Source/core/css/StyleSheet.cpp \
	third_party/WebKit/Source/core/css/StyleSheetContents.cpp \
	third_party/WebKit/Source/core/css/StyleSheetList.cpp \
	third_party/WebKit/Source/core/css/TreeBoundaryCrossingRules.cpp \
	third_party/WebKit/Source/core/css/invalidation/DescendantInvalidationSet.cpp \
	third_party/WebKit/Source/core/css/invalidation/StyleInvalidator.cpp \
	third_party/WebKit/Source/core/css/invalidation/StyleSheetInvalidationAnalysis.cpp \
	third_party/WebKit/Source/core/css/parser/CSSParser.cpp \
	third_party/WebKit/Source/core/css/parser/CSSParserFastPaths.cpp \
	third_party/WebKit/Source/core/css/parser/CSSParserMode.cpp \
	third_party/WebKit/Source/core/css/parser/CSSParserValues.cpp \
	third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp \
	third_party/WebKit/Source/core/css/parser/CSSParserToken.cpp \
	third_party/WebKit/Source/core/css/parser/CSSTokenizer.cpp \
	third_party/WebKit/Source/core/css/parser/CSSTokenizerInputStream.cpp \
	third_party/WebKit/Source/core/css/parser/MediaQueryBlockWatcher.cpp \
	third_party/WebKit/Source/core/css/parser/MediaQueryParser.cpp \
	third_party/WebKit/Source/core/css/parser/SizesAttributeParser.cpp \
	third_party/WebKit/Source/core/css/parser/SizesCalcParser.cpp \
	third_party/WebKit/Source/core/css/resolver/AnimatedStyleBuilder.cpp \
	third_party/WebKit/Source/core/css/resolver/CSSToStyleMap.cpp \
	third_party/WebKit/Source/core/css/resolver/ElementResolveContext.cpp \
	third_party/WebKit/Source/core/css/resolver/ElementStyleResources.cpp \
	third_party/WebKit/Source/core/css/resolver/FilterOperationResolver.cpp \
	third_party/WebKit/Source/core/css/resolver/FontBuilder.cpp \
	third_party/WebKit/Source/core/css/resolver/MatchResult.cpp \
	third_party/WebKit/Source/core/css/resolver/MatchedPropertiesCache.cpp \
	third_party/WebKit/Source/core/css/resolver/ScopedStyleResolver.cpp \
	third_party/WebKit/Source/core/css/resolver/SharedStyleFinder.cpp \
	third_party/WebKit/Source/core/css/resolver/StyleAdjuster.cpp \
	third_party/WebKit/Source/core/css/resolver/StyleBuilderConverter.cpp \
	third_party/WebKit/Source/core/css/resolver/StyleBuilderCustom.cpp \
	third_party/WebKit/Source/core/css/resolver/StyleResolver.cpp \
	third_party/WebKit/Source/core/css/resolver/StyleResolverParentScope.cpp \
	third_party/WebKit/Source/core/css/resolver/StyleResolverState.cpp \
	third_party/WebKit/Source/core/css/resolver/StyleResolverStats.cpp \
	third_party/WebKit/Source/core/css/resolver/StyleResourceLoader.cpp \
	third_party/WebKit/Source/core/css/resolver/TransformBuilder.cpp \
	third_party/WebKit/Source/core/css/resolver/ViewportStyleResolver.cpp \
	third_party/WebKit/Source/core/editing/AppendNodeCommand.cpp \
	third_party/WebKit/Source/core/editing/ApplyBlockElementCommand.cpp \
	third_party/WebKit/Source/core/editing/ApplyStyleCommand.cpp \
	third_party/WebKit/Source/core/editing/BreakBlockquoteCommand.cpp \
	third_party/WebKit/Source/core/editing/Caret.cpp \
	third_party/WebKit/Source/core/editing/CompositeEditCommand.cpp \
	third_party/WebKit/Source/core/editing/CompositionUnderlineRangeFilter.cpp \
	third_party/WebKit/Source/core/editing/CreateLinkCommand.cpp \
	third_party/WebKit/Source/core/editing/DeleteFromTextNodeCommand.cpp \
	third_party/WebKit/Source/core/editing/DeleteSelectionCommand.cpp \
	third_party/WebKit/Source/core/editing/DOMSelection.cpp \
	third_party/WebKit/Source/core/editing/EditCommand.cpp \
	third_party/WebKit/Source/core/editing/EditingBehavior.cpp \
	third_party/WebKit/Source/core/editing/EditingStyle.cpp \
	third_party/WebKit/Source/core/editing/Editor.cpp \
	third_party/WebKit/Source/core/editing/EditorCommand.cpp \
	third_party/WebKit/Source/core/editing/EditorKeyBindings.cpp \
	third_party/WebKit/Source/core/editing/FormatBlockCommand.cpp \
	third_party/WebKit/Source/core/editing/FrameSelection.cpp \
	third_party/WebKit/Source/core/editing/HTMLInterchange.cpp \
	third_party/WebKit/Source/core/editing/IndentOutdentCommand.cpp \
	third_party/WebKit/Source/core/editing/InputMethodController.cpp \
	third_party/WebKit/Source/core/editing/InsertIntoTextNodeCommand.cpp \
	third_party/WebKit/Source/core/editing/InsertLineBreakCommand.cpp \
	third_party/WebKit/Source/core/editing/InsertListCommand.cpp \
	third_party/WebKit/Source/core/editing/InsertNodeBeforeCommand.cpp \
	third_party/WebKit/Source/core/editing/InsertParagraphSeparatorCommand.cpp \
	third_party/WebKit/Source/core/editing/InsertTextCommand.cpp \
	third_party/WebKit/Source/core/editing/MarkupAccumulator.cpp \
	third_party/WebKit/Source/core/editing/MergeIdenticalElementsCommand.cpp \
	third_party/WebKit/Source/core/editing/MoveSelectionCommand.cpp \
	third_party/WebKit/Source/core/editing/PlainTextRange.cpp \
	third_party/WebKit/Source/core/editing/PositionWithAffinity.cpp \
	third_party/WebKit/Source/core/editing/RemoveCSSPropertyCommand.cpp \
	third_party/WebKit/Source/core/editing/RemoveFormatCommand.cpp \
	third_party/WebKit/Source/core/editing/RemoveNodeCommand.cpp \
	third_party/WebKit/Source/core/editing/RemoveNodePreservingChildrenCommand.cpp \
	third_party/WebKit/Source/core/editing/RenderedPosition.cpp \
	third_party/WebKit/Source/core/editing/ReplaceNodeWithSpanCommand.cpp \
	third_party/WebKit/Source/core/editing/ReplaceSelectionCommand.cpp \
	third_party/WebKit/Source/core/editing/SetNodeAttributeCommand.cpp \
	third_party/WebKit/Source/core/editing/SimplifyMarkupCommand.cpp \
	third_party/WebKit/Source/core/editing/SmartReplaceICU.cpp \
	third_party/WebKit/Source/core/editing/SpellCheckRequester.cpp \
	third_party/WebKit/Source/core/editing/SpellChecker.cpp \
	third_party/WebKit/Source/core/editing/SplitElementCommand.cpp \
	third_party/WebKit/Source/core/editing/SplitTextNodeCommand.cpp \
	third_party/WebKit/Source/core/editing/SplitTextNodeContainingElementCommand.cpp \
	third_party/WebKit/Source/core/editing/SurroundingText.cpp \
	third_party/WebKit/Source/core/editing/TextCheckingHelper.cpp \
	third_party/WebKit/Source/core/editing/TextInsertionBaseCommand.cpp \
	third_party/WebKit/Source/core/editing/TextIterator.cpp \
	third_party/WebKit/Source/core/editing/TypingCommand.cpp \
	third_party/WebKit/Source/core/editing/UndoStack.cpp \
	third_party/WebKit/Source/core/editing/UnlinkCommand.cpp \
	third_party/WebKit/Source/core/editing/VisiblePosition.cpp \
	third_party/WebKit/Source/core/editing/VisibleSelection.cpp \
	third_party/WebKit/Source/core/editing/VisibleUnits.cpp \
	third_party/WebKit/Source/core/editing/WrapContentsInDummySpanCommand.cpp \
	third_party/WebKit/Source/core/editing/htmlediting.cpp \
	third_party/WebKit/Source/core/editing/markup.cpp \
	third_party/WebKit/Source/core/fetch/CSSStyleSheetResource.cpp \
	third_party/WebKit/Source/core/fetch/CrossOriginAccessControl.cpp \
	third_party/WebKit/Source/core/fetch/DocumentResource.cpp \
	third_party/WebKit/Source/core/fetch/FetchContext.cpp \
	third_party/WebKit/Source/core/fetch/FetchRequest.cpp \
	third_party/WebKit/Source/core/fetch/FetchUtils.cpp \
	third_party/WebKit/Source/core/fetch/FontResource.cpp \
	third_party/WebKit/Source/core/fetch/ImageResource.cpp \
	third_party/WebKit/Source/core/fetch/MemoryCache.cpp \
	third_party/WebKit/Source/core/fetch/RawResource.cpp \
	third_party/WebKit/Source/core/fetch/Resource.cpp \
	third_party/WebKit/Source/core/fetch/ResourceFetcher.cpp \
	third_party/WebKit/Source/core/fetch/ResourceLoadPriorityOptimizer.cpp \
	third_party/WebKit/Source/core/fetch/ResourceLoader.cpp \
	third_party/WebKit/Source/core/fetch/ResourceLoaderSet.cpp \
	third_party/WebKit/Source/core/fetch/ResourcePtr.cpp \
	third_party/WebKit/Source/core/fetch/ScriptResource.cpp \
	third_party/WebKit/Source/core/fetch/TextResource.cpp \
	third_party/WebKit/Source/core/fetch/XSLStyleSheetResource.cpp \
	third_party/WebKit/Source/core/fileapi/Blob.cpp \
	third_party/WebKit/Source/core/fileapi/File.cpp \
	third_party/WebKit/Source/core/fileapi/FileError.cpp \
	third_party/WebKit/Source/core/fileapi/FileList.cpp \
	third_party/WebKit/Source/core/fileapi/FileReader.cpp \
	third_party/WebKit/Source/core/fileapi/FileReaderLoader.cpp \
	third_party/WebKit/Source/core/fileapi/FileReaderSync.cpp \
	third_party/WebKit/Source/core/frame/BarProp.cpp \
	third_party/WebKit/Source/core/frame/Console.cpp \
	third_party/WebKit/Source/core/frame/ConsoleBase.cpp \
	third_party/WebKit/Source/core/frame/DOMTimer.cpp \
	third_party/WebKit/Source/core/frame/DOMWindowBase64.cpp \
	third_party/WebKit/Source/core/frame/DOMWindowLifecycleNotifier.cpp \
	third_party/WebKit/Source/core/frame/DOMWindowLifecycleObserver.cpp \
	third_party/WebKit/Source/core/frame/DOMWindowProperty.cpp \
	third_party/WebKit/Source/core/frame/DOMWindowTimers.cpp \
	third_party/WebKit/Source/core/frame/DeprecatedScheduleStyleRecalcDuringLayout.cpp \
	third_party/WebKit/Source/core/frame/DeviceSingleWindowEventController.cpp \
	third_party/WebKit/Source/core/frame/EventHandlerRegistry.cpp \
	third_party/WebKit/Source/core/frame/PlatformEventController.cpp \
	third_party/WebKit/Source/core/frame/PlatformEventDispatcher.cpp \
	third_party/WebKit/Source/core/frame/Frame.cpp \
	third_party/WebKit/Source/core/frame/FrameConsole.cpp \
	third_party/WebKit/Source/core/frame/FrameDestructionObserver.cpp \
	third_party/WebKit/Source/core/frame/FrameHost.cpp \
	third_party/WebKit/Source/core/frame/FrameView.cpp \
	third_party/WebKit/Source/core/frame/FrameViewAutoSizeInfo.cpp \
	third_party/WebKit/Source/core/frame/History.cpp \
	third_party/WebKit/Source/core/frame/ImageBitmap.cpp \
	third_party/WebKit/Source/core/frame/LocalDOMWindow.cpp \
	third_party/WebKit/Source/core/frame/LocalFrame.cpp \
	third_party/WebKit/Source/core/frame/Location.cpp \
	third_party/WebKit/Source/core/frame/Navigator.cpp \
	third_party/WebKit/Source/core/frame/NavigatorCPU.cpp \
	third_party/WebKit/Source/core/frame/NavigatorID.cpp \
	third_party/WebKit/Source/core/frame/NavigatorLanguage.cpp \
	third_party/WebKit/Source/core/frame/PinchViewport.cpp \
	third_party/WebKit/Source/core/frame/RemoteFrame.cpp \
	third_party/WebKit/Source/core/frame/RemoteFrameView.cpp \
	third_party/WebKit/Source/core/frame/Screen.cpp \
	third_party/WebKit/Source/core/frame/Settings.cpp \
	third_party/WebKit/Source/core/frame/SettingsDelegate.cpp \
	third_party/WebKit/Source/core/frame/SmartClip.cpp \
	third_party/WebKit/Source/core/frame/SubresourceIntegrity.cpp \
	third_party/WebKit/Source/core/frame/SuspendableTimer.cpp \
	third_party/WebKit/Source/core/frame/UseCounter.cpp \
	third_party/WebKit/Source/core/frame/csp/CSPDirectiveList.cpp \
	third_party/WebKit/Source/core/frame/csp/CSPSource.cpp \
	third_party/WebKit/Source/core/frame/csp/CSPSourceList.cpp \
	third_party/WebKit/Source/core/frame/csp/ContentSecurityPolicy.cpp \
	third_party/WebKit/Source/core/frame/csp/MediaListDirective.cpp \
	third_party/WebKit/Source/core/frame/csp/SourceListDirective.cpp \
	third_party/WebKit/Source/core/imagebitmap/ImageBitmapFactories.cpp \
	third_party/WebKit/Source/core/inspector/AsyncCallStackTracker.cpp \
	third_party/WebKit/Source/core/inspector/ConsoleMessage.cpp \
	third_party/WebKit/Source/core/inspector/ConsoleMessageStorage.cpp \
	third_party/WebKit/Source/core/inspector/ContentSearchUtils.cpp \
	third_party/WebKit/Source/core/inspector/DOMEditor.cpp \
	third_party/WebKit/Source/core/inspector/DOMPatchSupport.cpp \
	third_party/WebKit/Source/core/inspector/IdentifiersFactory.cpp \
	third_party/WebKit/Source/core/inspector/InjectedScript.cpp \
	third_party/WebKit/Source/core/inspector/InjectedScriptBase.cpp \
	third_party/WebKit/Source/core/inspector/InjectedScriptCanvasModule.cpp \
	third_party/WebKit/Source/core/inspector/InjectedScriptHost.cpp \
	third_party/WebKit/Source/core/inspector/InjectedScriptManager.cpp \
	third_party/WebKit/Source/core/inspector/InjectedScriptModule.cpp \
	third_party/WebKit/Source/core/inspector/InspectorAnimationAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorApplicationCacheAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorBaseAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorCSSAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorCanvasAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorConsoleAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorController.cpp \
	third_party/WebKit/Source/core/inspector/InspectorCounters.cpp \
	third_party/WebKit/Source/core/inspector/InspectorDOMAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorDOMDebuggerAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorDOMStorageAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorDebuggerAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorFrontendHost.cpp \
	third_party/WebKit/Source/core/inspector/InspectorHeapProfilerAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorHistory.cpp \
	third_party/WebKit/Source/core/inspector/InspectorInputAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorInspectorAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorInstrumentation.cpp \
	third_party/WebKit/Source/core/inspector/InspectorLayerTreeAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorMemoryAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorNodeIds.cpp \
	third_party/WebKit/Source/core/inspector/InspectorOverlay.cpp \
	third_party/WebKit/Source/core/inspector/InspectorOverlayHost.cpp \
	third_party/WebKit/Source/core/inspector/InspectorPageAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorProfilerAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorResourceAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorResourceContentLoader.cpp \
	third_party/WebKit/Source/core/inspector/InspectorRuntimeAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorState.cpp \
	third_party/WebKit/Source/core/inspector/InspectorStyleSheet.cpp \
	third_party/WebKit/Source/core/inspector/InspectorStyleTextEditor.cpp \
	third_party/WebKit/Source/core/inspector/InspectorTimelineAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorTraceEvents.cpp \
	third_party/WebKit/Source/core/inspector/InspectorTracingAgent.cpp \
	third_party/WebKit/Source/core/inspector/InspectorWorkerAgent.cpp \
	third_party/WebKit/Source/core/inspector/JSONParser.cpp \
	third_party/WebKit/Source/core/inspector/JavaScriptCallFrame.cpp \
	third_party/WebKit/Source/core/inspector/NetworkResourcesData.cpp \
	third_party/WebKit/Source/core/inspector/PageConsoleAgent.cpp \
	third_party/WebKit/Source/core/inspector/PageDebuggerAgent.cpp \
	third_party/WebKit/Source/core/inspector/PageRuntimeAgent.cpp \
	third_party/WebKit/Source/core/inspector/PromiseTracker.cpp \
	third_party/WebKit/Source/core/inspector/ScriptArguments.cpp \
	third_party/WebKit/Source/core/inspector/ScriptAsyncCallStack.cpp \
	third_party/WebKit/Source/core/inspector/ScriptCallFrame.cpp \
	third_party/WebKit/Source/core/inspector/ScriptCallStack.cpp \
	third_party/WebKit/Source/core/inspector/ScriptProfile.cpp \
	third_party/WebKit/Source/core/inspector/TimelineRecordFactory.cpp \
	third_party/WebKit/Source/core/inspector/TraceEventDispatcher.cpp \
	third_party/WebKit/Source/core/inspector/WorkerConsoleAgent.cpp \
	third_party/WebKit/Source/core/inspector/WorkerDebuggerAgent.cpp \
	third_party/WebKit/Source/core/inspector/WorkerInspectorController.cpp \
	third_party/WebKit/Source/core/inspector/WorkerRuntimeAgent.cpp \
	third_party/WebKit/Source/core/loader/BeaconLoader.cpp \
	third_party/WebKit/Source/core/loader/CookieJar.cpp \
	third_party/WebKit/Source/core/loader/CrossOriginPreflightResultCache.cpp \
	third_party/WebKit/Source/core/loader/DocumentLoadTiming.cpp \
	third_party/WebKit/Source/core/loader/DocumentLoader.cpp \
	third_party/WebKit/Source/core/loader/DocumentThreadableLoader.cpp \
	third_party/WebKit/Source/core/loader/DocumentWriter.cpp \
	third_party/WebKit/Source/core/loader/EmptyClients.cpp \
	third_party/WebKit/Source/core/loader/FormState.cpp \
	third_party/WebKit/Source/core/loader/FormSubmission.cpp \
	third_party/WebKit/Source/core/loader/FrameFetchContext.cpp \
	third_party/WebKit/Source/core/loader/FrameLoader.cpp \
	third_party/WebKit/Source/core/loader/FrameLoaderStateMachine.cpp \
	third_party/WebKit/Source/core/loader/HistoryItem.cpp \
	third_party/WebKit/Source/core/loader/ImageLoader.cpp \
	third_party/WebKit/Source/core/loader/LinkLoader.cpp \
	third_party/WebKit/Source/core/loader/MixedContentChecker.cpp \
	third_party/WebKit/Source/core/loader/NavigationAction.cpp \
	third_party/WebKit/Source/core/loader/NavigationPolicy.cpp \
	third_party/WebKit/Source/core/loader/NavigationScheduler.cpp \
	third_party/WebKit/Source/core/loader/PingLoader.cpp \
	third_party/WebKit/Source/core/loader/PrerenderHandle.cpp \
	third_party/WebKit/Source/core/loader/PrerendererClient.cpp \
	third_party/WebKit/Source/core/loader/ProgressTracker.cpp \
	third_party/WebKit/Source/core/loader/SinkDocument.cpp \
	third_party/WebKit/Source/core/loader/TextResourceDecoderBuilder.cpp \
	third_party/WebKit/Source/core/loader/TextTrackLoader.cpp \
	third_party/WebKit/Source/core/loader/ThreadableLoader.cpp \
	third_party/WebKit/Source/core/loader/UniqueIdentifier.cpp \
	third_party/WebKit/Source/core/loader/WorkerLoaderClientBridge.cpp \
	third_party/WebKit/Source/core/loader/WorkerLoaderClientBridgeSyncHelper.cpp \
	third_party/WebKit/Source/core/loader/WorkerThreadableLoader.cpp \
	third_party/WebKit/Source/core/loader/appcache/ApplicationCache.cpp \
	third_party/WebKit/Source/core/loader/appcache/ApplicationCacheHost.cpp \
	third_party/WebKit/Source/core/page/AutoscrollController.cpp \
	third_party/WebKit/Source/core/page/Chrome.cpp \
	third_party/WebKit/Source/core/page/ContextMenuController.cpp \
	third_party/WebKit/Source/core/page/CreateWindow.cpp \
	third_party/WebKit/Source/core/page/CustomContextMenuProvider.cpp \
	third_party/WebKit/Source/core/page/DOMWindowPagePopup.cpp \
	third_party/WebKit/Source/core/page/DragController.cpp \
	third_party/WebKit/Source/core/page/DragData.cpp \
	third_party/WebKit/Source/core/page/EventHandler.cpp \
	third_party/WebKit/Source/core/page/EventSource.cpp \
	third_party/WebKit/Source/core/page/FocusController.cpp \
	third_party/WebKit/Source/core/page/FrameTree.cpp \
	third_party/WebKit/Source/core/page/InjectedStyleSheets.cpp \
	third_party/WebKit/Source/core/page/NetworkStateNotifier.cpp \
	third_party/WebKit/Source/core/page/Page.cpp \
	third_party/WebKit/Source/core/page/PageAnimator.cpp \
	third_party/WebKit/Source/core/page/PageLifecycleNotifier.cpp \
	third_party/WebKit/Source/core/page/PageLifecycleObserver.cpp \
	third_party/WebKit/Source/core/page/PagePopupClient.cpp \
	third_party/WebKit/Source/core/page/PagePopupController.cpp \
	third_party/WebKit/Source/core/page/PageScaleConstraints.cpp \
	third_party/WebKit/Source/core/page/PageSerializer.cpp \
	third_party/WebKit/Source/core/page/PageVisibilityState.cpp \
	third_party/WebKit/Source/core/page/PointerLockController.cpp \
	third_party/WebKit/Source/core/page/PrintContext.cpp \
	third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp \
	third_party/WebKit/Source/core/page/SpatialNavigation.cpp \
	third_party/WebKit/Source/core/page/TouchAdjustment.cpp \
	third_party/WebKit/Source/core/page/TouchDisambiguation.cpp \
	third_party/WebKit/Source/core/page/WindowFeatures.cpp \
	third_party/WebKit/Source/core/page/WindowFocusAllowedIndicator.cpp \
	third_party/WebKit/Source/core/page/scrolling/ScrollingConstraints.cpp \
	third_party/WebKit/Source/core/page/scrolling/ScrollingCoordinator.cpp \
	third_party/WebKit/Source/core/paint/BlockPainter.cpp \
	third_party/WebKit/Source/core/paint/BlockFlowPainter.cpp \
	third_party/WebKit/Source/core/paint/BoxDecorationData.cpp \
	third_party/WebKit/Source/core/paint/BoxPainter.cpp \
	third_party/WebKit/Source/core/paint/BackgroundImageGeometry.cpp \
	third_party/WebKit/Source/core/paint/ClipRecorder.cpp \
	third_party/WebKit/Source/core/paint/DetailsMarkerPainter.cpp \
	third_party/WebKit/Source/core/paint/DrawingRecorder.cpp \
	third_party/WebKit/Source/core/paint/EllipsisBoxPainter.cpp \
	third_party/WebKit/Source/core/paint/FileUploadControlPainter.cpp \
	third_party/WebKit/Source/core/paint/FramePainter.cpp \
	third_party/WebKit/Source/core/paint/GridPainter.cpp \
	third_party/WebKit/Source/core/paint/HTMLCanvasPainter.cpp \
	third_party/WebKit/Source/core/paint/ImagePainter.cpp \
	third_party/WebKit/Source/core/paint/InlineFlowBoxPainter.cpp \
	third_party/WebKit/Source/core/paint/InlinePainter.cpp \
	third_party/WebKit/Source/core/paint/InlineTextBoxPainter.cpp \
	third_party/WebKit/Source/core/paint/LayerPainter.cpp \
	third_party/WebKit/Source/core/paint/LineBoxListPainter.cpp \
	third_party/WebKit/Source/core/paint/ListMarkerPainter.cpp \
	third_party/WebKit/Source/core/paint/ListItemPainter.cpp \
	third_party/WebKit/Source/core/paint/ObjectPainter.cpp \
	third_party/WebKit/Source/core/paint/MultiColumnSetPainter.cpp \
	third_party/WebKit/Source/core/paint/ReplacedPainter.cpp \
	third_party/WebKit/Source/core/paint/ReplicaPainter.cpp \
	third_party/WebKit/Source/core/paint/RootInlineBoxPainter.cpp \
	third_party/WebKit/Source/core/paint/ScrollbarPainter.cpp \
	third_party/WebKit/Source/core/paint/SVGContainerPainter.cpp \
	third_party/WebKit/Source/core/paint/SVGForeignObjectPainter.cpp \
	third_party/WebKit/Source/core/paint/SVGImagePainter.cpp \
	third_party/WebKit/Source/core/paint/SVGInlineFlowBoxPainter.cpp \
	third_party/WebKit/Source/core/paint/SVGInlineTextBoxPainter.cpp \
	third_party/WebKit/Source/core/paint/SVGRootInlineBoxPainter.cpp \
	third_party/WebKit/Source/core/paint/SVGRootPainter.cpp \
	third_party/WebKit/Source/core/paint/SVGShapePainter.cpp \
	third_party/WebKit/Source/core/paint/SVGTextPainter.cpp \
	third_party/WebKit/Source/core/paint/TablePainter.cpp \
	third_party/WebKit/Source/core/paint/TableRowPainter.cpp \
	third_party/WebKit/Source/core/paint/TableSectionPainter.cpp \
	third_party/WebKit/Source/core/paint/VideoPainter.cpp \
	third_party/WebKit/Source/core/paint/ViewDisplayList.cpp \
	third_party/WebKit/Source/core/paint/ViewPainter.cpp \
	third_party/WebKit/Source/core/plugins/DOMMimeType.cpp \
	third_party/WebKit/Source/core/plugins/DOMMimeTypeArray.cpp \
	third_party/WebKit/Source/core/plugins/DOMPlugin.cpp \
	third_party/WebKit/Source/core/plugins/DOMPluginArray.cpp \
	third_party/WebKit/Source/core/plugins/PluginOcclusionSupport.cpp \
	third_party/WebKit/Source/core/storage/Storage.cpp \
	third_party/WebKit/Source/core/storage/StorageArea.cpp \
	third_party/WebKit/Source/core/storage/StorageEvent.cpp \
	third_party/WebKit/Source/core/storage/StorageNamespace.cpp \
	third_party/WebKit/Source/core/streams/ReadableStream.cpp \
	third_party/WebKit/Source/core/streams/Stream.cpp \
	third_party/WebKit/Source/core/timing/MemoryInfo.cpp \
	third_party/WebKit/Source/core/timing/Performance.cpp \
	third_party/WebKit/Source/core/timing/PerformanceEntry.cpp \
	third_party/WebKit/Source/core/timing/PerformanceNavigation.cpp \
	third_party/WebKit/Source/core/timing/PerformanceResourceTiming.cpp \
	third_party/WebKit/Source/core/timing/PerformanceTiming.cpp \
	third_party/WebKit/Source/core/timing/PerformanceUserTiming.cpp \
	third_party/WebKit/Source/core/workers/AbstractWorker.cpp \
	third_party/WebKit/Source/core/workers/DedicatedWorkerGlobalScope.cpp \
	third_party/WebKit/Source/core/workers/DedicatedWorkerThread.cpp \
	third_party/WebKit/Source/core/workers/SharedWorker.cpp \
	third_party/WebKit/Source/core/workers/SharedWorkerGlobalScope.cpp \
	third_party/WebKit/Source/core/workers/SharedWorkerThread.cpp \
	third_party/WebKit/Source/core/workers/Worker.cpp \
	third_party/WebKit/Source/core/workers/WorkerConsole.cpp \
	third_party/WebKit/Source/core/workers/WorkerEventQueue.cpp \
	third_party/WebKit/Source/core/workers/WorkerGlobalScope.cpp \
	third_party/WebKit/Source/core/workers/WorkerGlobalScopeProxyProvider.cpp \
	third_party/WebKit/Source/core/workers/WorkerInspectorProxy.cpp \
	third_party/WebKit/Source/core/workers/WorkerMessagingProxy.cpp \
	third_party/WebKit/Source/core/workers/WorkerNavigator.cpp \
	third_party/WebKit/Source/core/workers/WorkerObjectProxy.cpp \
	third_party/WebKit/Source/core/workers/WorkerScriptLoader.cpp \
	third_party/WebKit/Source/core/workers/WorkerThread.cpp \
	third_party/WebKit/Source/core/workers/WorkerThreadStartupData.cpp \
	third_party/WebKit/Source/core/xml/DOMParser.cpp \
	third_party/WebKit/Source/core/xml/DocumentXPathEvaluator.cpp \
	third_party/WebKit/Source/core/xml/NativeXPathNSResolver.cpp \
	third_party/WebKit/Source/core/xml/XMLSerializer.cpp \
	third_party/WebKit/Source/core/xml/XPathEvaluator.cpp \
	third_party/WebKit/Source/core/xml/XPathExpression.cpp \
	third_party/WebKit/Source/core/xml/XPathExpressionNode.cpp \
	third_party/WebKit/Source/core/xml/XPathFunctions.cpp \
	third_party/WebKit/Source/core/xml/XPathNSResolver.cpp \
	third_party/WebKit/Source/core/xml/XPathNodeSet.cpp \
	third_party/WebKit/Source/core/xml/XPathParser.cpp \
	third_party/WebKit/Source/core/xml/XPathPath.cpp \
	third_party/WebKit/Source/core/xml/XPathPredicate.cpp \
	third_party/WebKit/Source/core/xml/XPathResult.cpp \
	third_party/WebKit/Source/core/xml/XPathStep.cpp \
	third_party/WebKit/Source/core/xml/XPathUtil.cpp \
	third_party/WebKit/Source/core/xml/XPathValue.cpp \
	third_party/WebKit/Source/core/xml/XPathVariableReference.cpp \
	third_party/WebKit/Source/core/xml/XSLImportRule.cpp \
	third_party/WebKit/Source/core/xml/XSLStyleSheetLibxslt.cpp \
	third_party/WebKit/Source/core/xml/XSLTExtensions.cpp \
	third_party/WebKit/Source/core/xml/XSLTProcessor.cpp \
	third_party/WebKit/Source/core/xml/XSLTProcessorLibxslt.cpp \
	third_party/WebKit/Source/core/xml/XSLTUnicodeSort.cpp \
	third_party/WebKit/Source/core/xml/parser/SharedBufferReader.cpp \
	third_party/WebKit/Source/core/xml/parser/XMLDocumentParser.cpp \
	third_party/WebKit/Source/core/xml/parser/XMLDocumentParserScope.cpp \
	third_party/WebKit/Source/core/xml/parser/XMLErrors.cpp \
	third_party/WebKit/Source/core/xmlhttprequest/XMLHttpRequest.cpp \
	third_party/WebKit/Source/core/xmlhttprequest/XMLHttpRequestProgressEventThrottle.cpp \
	third_party/WebKit/Source/core/xmlhttprequest/XMLHttpRequestUpload.cpp


# Flags passed to both C and C++ files.
MY_CFLAGS_Debug := \
	--param=ssp-buffer-size=4 \
	-Werror \
	-fno-strict-aliasing \
	-Wall \
	-Wno-unused-parameter \
	-Wno-missing-field-initializers \
	-fvisibility=hidden \
	-pipe \
	-fPIC \
	-Wno-unused-local-typedefs \
	-fno-strict-aliasing \
	-ffunction-sections \
	-funwind-tables \
	-g \
	-fno-short-enums \
	-finline-limit=64 \
	-Wa,--noexecstack \
	-U_FORTIFY_SOURCE \
	-Wno-extra \
	-Wno-ignored-qualifiers \
	-Wno-type-limits \
	-Wno-unused-but-set-variable \
	-Os \
	-g \
	-gdwarf-4 \
	-fdata-sections \
	-ffunction-sections \
	-funwind-tables

MY_DEFS_Debug := \
	'-DV8_DEPRECATION_WARNINGS' \
	'-D_FILE_OFFSET_BITS=64' \
	'-DNO_TCMALLOC' \
	'-DDISABLE_NACL' \
	'-DCHROMIUM_BUILD' \
	'-DUSE_LIBJPEG_TURBO=1' \
	'-DENABLE_WEBRTC=1' \
	'-DUSE_PROPRIETARY_CODECS' \
	'-DENABLE_BROWSER_CDMS' \
	'-DENABLE_CONFIGURATION_POLICY' \
	'-DENABLE_NOTIFICATIONS' \
	'-DDISCARDABLE_MEMORY_ALWAYS_SUPPORTED_NATIVELY' \
	'-DSYSTEM_NATIVELY_SIGNALS_MEMORY_PRESSURE' \
	'-DDONT_EMBED_BUILD_METADATA' \
	'-DCLD_VERSION=1' \
	'-DENABLE_PRINTING=1' \
	'-DENABLE_BASIC_PRINTING=1' \
	'-DENABLE_MANAGED_USERS=1' \
	'-DVIDEO_HOLE=1' \
	'-DENABLE_LOAD_COMPLETION_HACKS=1' \
	'-DBLINK_IMPLEMENTATION=1' \
	'-DINSIDE_BLINK' \
	'-DENABLE_OPENTYPE_VERTICAL=1' \
	'-DENABLE_LAYOUT_UNIT_IN_INLINE_BOXES=0' \
	'-DWTF_USE_CONCATENATED_IMPULSE_RESPONSES=1' \
	'-DWTF_USE_WEBAUDIO_OPENMAX_DL_FFT=1' \
	'-DENABLE_WEB_AUDIO=1' \
	'-DU_USING_ICU_NAMESPACE=0' \
	'-DU_ENABLE_DYLOAD=0' \
	'-DU_STATIC_IMPLEMENTATION' \
	'-DSK_ENABLE_INST_COUNT=0' \
	'-DSK_SUPPORT_GPU=1' \
	'-DGR_GL_CUSTOM_SETUP_HEADER="GrGLConfig_chrome.h"' \
	'-DSK_ENABLE_LEGACY_API_ALIASING=1' \
	'-DSK_ATTR_DEPRECATED=SK_NOTHING_ARG1' \
	'-DGR_GL_IGNORE_ES3_MSAA=0' \
	'-DSK_WILL_NEVER_DRAW_PERSPECTIVE_TEXT' \
	'-DSK_FM_NEW_MATCH_FAMILY_STYLE_CHARACTER=1' \
	'-DSK_SUPPORT_LEGACY_TEXTRENDERMODE' \
	'-DSK_IGNORE_GPU_LAYER_HOISTING' \
	'-DSK_BUILD_FOR_ANDROID' \
	'-DSK_USE_POSIX_THREADS' \
	'-DCHROME_PNG_WRITE_SUPPORT' \
	'-DPNG_USER_CONFIG' \
	'-DCHROME_PNG_READ_PACK_SUPPORT' \
	'-DLIBXML_STATIC' \
	'-DLIBXSLT_STATIC' \
	'-DUSE_LIBPCI=1' \
	'-DUSE_OPENSSL=1' \
	'-DUSE_OPENSSL_CERTS=1' \
	'-D__STDC_CONSTANT_MACROS' \
	'-D__STDC_FORMAT_MACROS' \
	'-DANDROID' \
	'-D__GNU_SOURCE=1' \
	'-DUSE_STLPORT=1' \
	'-D_STLP_USE_PTR_SPECIALIZATIONS=1' \
	'-DCHROME_BUILD_ID=""' \
	'-DDYNAMIC_ANNOTATIONS_ENABLED=1' \
	'-DWTF_USE_DYNAMIC_ANNOTATIONS=1' \
	'-D_DEBUG'


# Include paths placed before CFLAGS/CPPFLAGS
LOCAL_C_INCLUDES_Debug := \
	$(gyp_shared_intermediate_dir) \
	$(LOCAL_PATH)/third_party/WebKit/Source \
	$(LOCAL_PATH) \
	$(LOCAL_PATH)/skia/config \
	$(LOCAL_PATH)/third_party/khronos \
	$(LOCAL_PATH)/gpu \
	$(gyp_shared_intermediate_dir)/blink \
	$(LOCAL_PATH)/third_party/openmax_dl \
	$(LOCAL_PATH)/third_party/angle/include \
	$(LOCAL_PATH)/third_party/icu/source/i18n \
	$(LOCAL_PATH)/third_party/icu/source/common \
	$(LOCAL_PATH)/third_party/WebKit \
	$(LOCAL_PATH)/third_party/skia/src/core \
	$(LOCAL_PATH)/third_party/skia/include/core \
	$(LOCAL_PATH)/third_party/skia/include/effects \
	$(LOCAL_PATH)/third_party/skia/include/pdf \
	$(LOCAL_PATH)/third_party/skia/include/gpu \
	$(LOCAL_PATH)/third_party/skia/include/lazy \
	$(LOCAL_PATH)/third_party/skia/include/pathops \
	$(LOCAL_PATH)/third_party/skia/include/pipe \
	$(LOCAL_PATH)/third_party/skia/include/ports \
	$(LOCAL_PATH)/third_party/skia/include/utils \
	$(LOCAL_PATH)/skia/ext \
	$(LOCAL_PATH)/third_party/iccjpeg \
	$(LOCAL_PATH)/third_party/libpng \
	$(LOCAL_PATH)/third_party/libwebp \
	$(LOCAL_PATH)/third_party/libxml/linux/include \
	$(LOCAL_PATH)/third_party/libxml/src/include \
	$(LOCAL_PATH)/third_party/libxslt \
	$(LOCAL_PATH)/third_party/npapi \
	$(LOCAL_PATH)/third_party/npapi/bindings \
	$(LOCAL_PATH)/third_party/ots/include \
	$(LOCAL_PATH)/third_party/qcms/src \
	$(LOCAL_PATH)/third_party/sqlite \
	$(LOCAL_PATH)/third_party/zlib \
	$(LOCAL_PATH)/v8/include


# Flags passed to only C++ (and not C) files.
LOCAL_CPPFLAGS_Debug := \
	-fno-exceptions \
	-fno-rtti \
	-fno-threadsafe-statics \
	-fvisibility-inlines-hidden \
	-Wsign-compare \
	-Wno-c++0x-compat \
	-std=gnu++11 \
	-Wno-narrowing \
	-Wno-literal-suffix \
	-Wno-non-virtual-dtor \
	-Wno-sign-promo


# Flags passed to both C and C++ files.
MY_CFLAGS_Release := \
	--param=ssp-buffer-size=4 \
	-Werror \
	-fno-strict-aliasing \
	-Wall \
	-Wno-unused-parameter \
	-Wno-missing-field-initializers \
	-fvisibility=hidden \
	-pipe \
	-fPIC \
	-Wno-unused-local-typedefs \
	-fno-strict-aliasing \
	-ffunction-sections \
	-funwind-tables \
	-g \
	-fno-short-enums \
	-finline-limit=64 \
	-Wa,--noexecstack \
	-U_FORTIFY_SOURCE \
	-Wno-extra \
	-Wno-ignored-qualifiers \
	-Wno-type-limits \
	-Wno-unused-but-set-variable \
	-Os \
	-fno-ident \
	-fdata-sections \
	-ffunction-sections \
	-funwind-tables

MY_DEFS_Release := \
	'-DV8_DEPRECATION_WARNINGS' \
	'-D_FILE_OFFSET_BITS=64' \
	'-DNO_TCMALLOC' \
	'-DDISABLE_NACL' \
	'-DCHROMIUM_BUILD' \
	'-DUSE_LIBJPEG_TURBO=1' \
	'-DENABLE_WEBRTC=1' \
	'-DUSE_PROPRIETARY_CODECS' \
	'-DENABLE_BROWSER_CDMS' \
	'-DENABLE_CONFIGURATION_POLICY' \
	'-DENABLE_NOTIFICATIONS' \
	'-DDISCARDABLE_MEMORY_ALWAYS_SUPPORTED_NATIVELY' \
	'-DSYSTEM_NATIVELY_SIGNALS_MEMORY_PRESSURE' \
	'-DDONT_EMBED_BUILD_METADATA' \
	'-DCLD_VERSION=1' \
	'-DENABLE_PRINTING=1' \
	'-DENABLE_BASIC_PRINTING=1' \
	'-DENABLE_MANAGED_USERS=1' \
	'-DVIDEO_HOLE=1' \
	'-DENABLE_LOAD_COMPLETION_HACKS=1' \
	'-DBLINK_IMPLEMENTATION=1' \
	'-DINSIDE_BLINK' \
	'-DENABLE_OPENTYPE_VERTICAL=1' \
	'-DENABLE_LAYOUT_UNIT_IN_INLINE_BOXES=0' \
	'-DWTF_USE_CONCATENATED_IMPULSE_RESPONSES=1' \
	'-DWTF_USE_WEBAUDIO_OPENMAX_DL_FFT=1' \
	'-DENABLE_WEB_AUDIO=1' \
	'-DU_USING_ICU_NAMESPACE=0' \
	'-DU_ENABLE_DYLOAD=0' \
	'-DU_STATIC_IMPLEMENTATION' \
	'-DSK_ENABLE_INST_COUNT=0' \
	'-DSK_SUPPORT_GPU=1' \
	'-DGR_GL_CUSTOM_SETUP_HEADER="GrGLConfig_chrome.h"' \
	'-DSK_ENABLE_LEGACY_API_ALIASING=1' \
	'-DSK_ATTR_DEPRECATED=SK_NOTHING_ARG1' \
	'-DGR_GL_IGNORE_ES3_MSAA=0' \
	'-DSK_WILL_NEVER_DRAW_PERSPECTIVE_TEXT' \
	'-DSK_FM_NEW_MATCH_FAMILY_STYLE_CHARACTER=1' \
	'-DSK_SUPPORT_LEGACY_TEXTRENDERMODE' \
	'-DSK_IGNORE_GPU_LAYER_HOISTING' \
	'-DSK_BUILD_FOR_ANDROID' \
	'-DSK_USE_POSIX_THREADS' \
	'-DCHROME_PNG_WRITE_SUPPORT' \
	'-DPNG_USER_CONFIG' \
	'-DCHROME_PNG_READ_PACK_SUPPORT' \
	'-DLIBXML_STATIC' \
	'-DLIBXSLT_STATIC' \
	'-DUSE_LIBPCI=1' \
	'-DUSE_OPENSSL=1' \
	'-DUSE_OPENSSL_CERTS=1' \
	'-D__STDC_CONSTANT_MACROS' \
	'-D__STDC_FORMAT_MACROS' \
	'-DANDROID' \
	'-D__GNU_SOURCE=1' \
	'-DUSE_STLPORT=1' \
	'-D_STLP_USE_PTR_SPECIALIZATIONS=1' \
	'-DCHROME_BUILD_ID=""' \
	'-DNDEBUG' \
	'-DNVALGRIND' \
	'-DDYNAMIC_ANNOTATIONS_ENABLED=0' \
	'-D_FORTIFY_SOURCE=2'


# Include paths placed before CFLAGS/CPPFLAGS
LOCAL_C_INCLUDES_Release := \
	$(gyp_shared_intermediate_dir) \
	$(LOCAL_PATH)/third_party/WebKit/Source \
	$(LOCAL_PATH) \
	$(LOCAL_PATH)/skia/config \
	$(LOCAL_PATH)/third_party/khronos \
	$(LOCAL_PATH)/gpu \
	$(gyp_shared_intermediate_dir)/blink \
	$(LOCAL_PATH)/third_party/openmax_dl \
	$(LOCAL_PATH)/third_party/angle/include \
	$(LOCAL_PATH)/third_party/icu/source/i18n \
	$(LOCAL_PATH)/third_party/icu/source/common \
	$(LOCAL_PATH)/third_party/WebKit \
	$(LOCAL_PATH)/third_party/skia/src/core \
	$(LOCAL_PATH)/third_party/skia/include/core \
	$(LOCAL_PATH)/third_party/skia/include/effects \
	$(LOCAL_PATH)/third_party/skia/include/pdf \
	$(LOCAL_PATH)/third_party/skia/include/gpu \
	$(LOCAL_PATH)/third_party/skia/include/lazy \
	$(LOCAL_PATH)/third_party/skia/include/pathops \
	$(LOCAL_PATH)/third_party/skia/include/pipe \
	$(LOCAL_PATH)/third_party/skia/include/ports \
	$(LOCAL_PATH)/third_party/skia/include/utils \
	$(LOCAL_PATH)/skia/ext \
	$(LOCAL_PATH)/third_party/iccjpeg \
	$(LOCAL_PATH)/third_party/libpng \
	$(LOCAL_PATH)/third_party/libwebp \
	$(LOCAL_PATH)/third_party/libxml/linux/include \
	$(LOCAL_PATH)/third_party/libxml/src/include \
	$(LOCAL_PATH)/third_party/libxslt \
	$(LOCAL_PATH)/third_party/npapi \
	$(LOCAL_PATH)/third_party/npapi/bindings \
	$(LOCAL_PATH)/third_party/ots/include \
	$(LOCAL_PATH)/third_party/qcms/src \
	$(LOCAL_PATH)/third_party/sqlite \
	$(LOCAL_PATH)/third_party/zlib \
	$(LOCAL_PATH)/v8/include


# Flags passed to only C++ (and not C) files.
LOCAL_CPPFLAGS_Release := \
	-fno-exceptions \
	-fno-rtti \
	-fno-threadsafe-statics \
	-fvisibility-inlines-hidden \
	-Wsign-compare \
	-Wno-c++0x-compat \
	-std=gnu++11 \
	-Wno-narrowing \
	-Wno-literal-suffix \
	-Wno-non-virtual-dtor \
	-Wno-sign-promo


LOCAL_CFLAGS := $(MY_CFLAGS_$(GYP_CONFIGURATION)) $(MY_DEFS_$(GYP_CONFIGURATION))
LOCAL_C_INCLUDES := $(GYP_COPIED_SOURCE_ORIGIN_DIRS) $(LOCAL_C_INCLUDES_$(GYP_CONFIGURATION))
LOCAL_CPPFLAGS := $(LOCAL_CPPFLAGS_$(GYP_CONFIGURATION))
LOCAL_ASFLAGS := $(LOCAL_CFLAGS)
### Rules for final target.
### Set directly by aosp_build_settings.
LOCAL_CLANG := false
LOCAL_NDK_STL_VARIANT := stlport_static

# Add target alias to "gyp_all_modules" target.
.PHONY: gyp_all_modules
gyp_all_modules: third_party_WebKit_Source_core_webcore_remaining_gyp

# Alias gyp target name.
.PHONY: webcore_remaining
webcore_remaining: third_party_WebKit_Source_core_webcore_remaining_gyp

include $(BUILD_STATIC_LIBRARY)
